Update debit card
curl --request PATCH \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/debit-cards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"nickname": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/debit-cards/{id}"
payload = {
"description": "<string>",
"nickname": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', nickname: '<string>'})
};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/debit-cards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardBrand": "UNKNOWN",
"cardStatus": "PENDING_ACTIVATION",
"cardType": "DIGITAL",
"cardholderName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expirationDate": "<string>",
"lastFourDigits": "<string>",
"reference": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"nickname": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Debit Cards
Update debit card
Token types: APP, USER | Required scopes: debit_card:issue:org
PATCH
/
embedded-banking
/
v1
/
debit-cards
/
{id}
Update debit card
This feature is in Beta and not ready for production integration.
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
Body
application/jsonapplication/*+json
Request model for updating a debit card's caller-editable display fields. Fields absent from the payload are left unchanged (partial update).
Response
OK
The card network (brand) an issued card runs on, such as Visa or Mastercard.
Available options:
UNKNOWN, VISA, MASTERCARD, DISCOVER, AMERICAN_EXPRESS Available options:
PENDING_ACTIVATION, ACTIVE, LOCKED, CLOSED Available options:
DIGITAL, PHYSICAL Was this page helpful?